#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kiconthemes
Version		:	5.107.0
Release		:	16.2.0.rel%{?dist}
Summary		:	KDE Icon GUI utilities

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	glu-devel
BuildRequires	:	karchive
BuildRequires	:	kconfigwidgets
BuildRequires	:	kitemviews
#-----------------------------------------------------------------------------
%description
This library contains classes to improve the handling of icons
in applications using the KDE Frameworks. Provided are:

- KIconDialog: Dialog class to let the user select an icon
    from the list of installed icons.
- KIconButton: Custom button class that displays an icon.
    When clicking it, the user can change it using the icon dialog.
- KIconEffect: Applies various colorization effects to icons,
    which can be used to create selected/disabled icon images.

Other classes in this repository are used internally by the icon
theme configuration dialogs, and should not be used by applications.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_bindir}/kiconfinder5
%{_includedir}/KF5/KIconThemes/*
%{_libdir}/cmake/KF5IconThemes/*.cmake
%{_libdir}/libKF5IconThemes.so*
%{_datadir}/plugins/iconengines/*.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}5.mo
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/plugins/designer/%{name}5widgets.so
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
